Subject: Re: [NNTP] 32 bit article counters

From: Steve Walker <[email-masked]>
Date: Wed, 13 Jul 2005 19:08:35 -0500

Chris Caputo wrote:
> But I'd also be fine with an extension being defined which allows for 
> numbers greater than 2^32-1.

I think 64 bit counters is the best solution.  I just had a 
conversation with the software developer of one of the most 
popular commercial news client.  He said his client already uses 
64 bit numbers internally.

> Maybe the fix for now should just be to say that client software should 
> assume a 32-bit wrap-around has occurred if the high article number is 
> more than one less than the low article number.  The would allow servers 
> using more than 32-bits to use a MOD 2^32 to create an standards 
> compliant number.  For that to work we'd also have to adjust the draft 
> to say that zero is a valid article number.

While it may work, it's not perfect.  I think it will be prone to 
problems, as some clients will do it correctly and some won't. 
It is certainly better than the current proposed wording which 
basically says Usenet is over in X years and there is no way to 
fix it without whole new RFC being wrote.

RFC977 had no limit, which personally I think is best, but if 
others feel there MUST be a limit, then at least make it 
something reasonable.  A 32bit limit is not reasonable when you 
consider the big picture.

Steve.

---

From: Steve Walker <[email-masked]>
Date: Wed, 13 Jul 2005 21:27:26 -0500

Please disregard my previous email.  It was sent to the wrong 
list by mistake.  It's an NNTP issue not an Usefor issue.

Steve.